## libterralib 3.0.3b2

=== examples/addGeomRepresentation/Makefile ===
all: addGeomRepresentation

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

addGeomRepresentation: shapelib tiff terralib stat
	qmake -o makeAddGeomRepresentation addGeomRepresentation.pro; make -f makeAddGeomRepresentation

clean:
	if \
		test -f makeAddGeomRepresentation; \
	then \
		make -f makeAddGeomRepresentation distclean; rm -f makeAddGeomRepresentation; \
	fi

=== examples/convertCoordinates/Makefile ===
all: convertCoordinates

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

convertCoordinates: shapelib tiff terralib stat
	qmake -o makeConvertCoordinates convertCoordinates.pro; make -f makeConvertCoordinates

clean:
	if \
		test -f makeConvertCoordinates; \
	then \
		make -f makeConvertCoordinates distclean; rm -f makeConvertCoordinates; \
	fi

=== examples/copyLayer/Makefile ===
all: copyLayer

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

copyLayer: shapelib tiff terralib stat
	qmake -o makeCopyLayer copyLayer.pro; make -f makeCopyLayer

clean:
	if \
		test -f makeCopyLayer; \
	then \
		make -f makeCopyLayer distclean; rm -f makeCopyLayer; \
	fi

=== examples/createDatabase/Makefile ===
all: createDatabase

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createDatabase: shapelib tiff terralib stat
	qmake -o makeCreateDatabase createDatabase.pro; make -f makeCreateDatabase

clean:
	if \
		test -f makeCreateDatabase; \
	then \
		make -f makeCreateDatabase distclean; rm -f makeCreateDatabase; \
	fi

=== examples/createLayer/Makefile ===
all: createLayer

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createLayer: shapelib tiff terralib stat
	qmake -o makeCreateLayer createLayer.pro; make -f makeCreateLayer

clean:
	if \
		test -f makeCreateLayer; \
	then \
		make -f makeCreateLayer distclean; rm -f makeCreateLayer; \
	fi

=== examples/createProximityMatrix/Makefile ===
all: createProximityMatrix

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createProximityMatrix: shapelib tiff terralib stat
	qmake -o makeCreateProximityMatrix createProximityMatrix.pro; make -f makeCreateProximityMatrix

clean:
	if \
		test -f makeCreateProximityMatrix; \
	then \
		make -f makeCreateProximityMatrix distclean; rm -f makeCreateProximityMatrix; \
	fi

=== examples/createSTElementSet/Makefile ===
all: createSTElementSet

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createSTElementSet: shapelib tiff terralib stat
	qmake -o makeCreateSTElementSet createSTElementSet.pro; make -f makeCreateSTElementSet

clean:
	if \
		test -f makeCreateSTElementSet; \
	then \
		make -f makeCreateSTElementSet distclean; rm -f makeCreateSTElementSet; \
	fi

=== examples/createSTElementSetFromLayer/Makefile ===
all: createSTElementSetFromLayer

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createSTElementSetFromLayer: shapelib tiff terralib stat
	qmake -o makeCreateSTElementSetFromLayer createSTElementSetFromLayer.pro; make -f makeCreateSTElementSetFromLayer

clean:
	if \
		test -f makeCreateSTElementSetFromLayer; \
	then \
		make -f makeCreateSTElementSetFromLayer distclean; rm -f makeCreateSTElementSetFromLayer; \
	fi

=== examples/createSTElementSetFromShapeFile/Makefile ===
all: createSTElementSetFromShapeFile

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createSTElementSetFromShapeFile: shapelib tiff terralib stat
	qmake -o makeCreateSTElementSetFromShapeFile createSTElementSetFromShapeFile.pro; make -f makeCreateSTElementSetFromShapeFile

clean:
	if \
		test -f makeCreateSTElementSetFromShapeFile; \
	then \
		make -f makeCreateSTElementSetFromShapeFile distclean; rm -f makeCreateSTElementSetFromShapeFile; \
	fi

=== examples/createSTElementSetFromTheme/Makefile ===
all: createSTElementSetFromTheme

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createSTElementSetFromTheme: shapelib tiff terralib stat
	qmake -o makeCreateSTElementSetFromTheme createSTElementSetFromTheme.pro; make -f makeCreateSTElementSetFromTheme

clean:
	if \
		test -f makeCreateSTElementSetFromTheme; \
	then \
		make -f makeCreateSTElementSetFromTheme distclean; rm -f makeCreateSTElementSetFromTheme; \
	fi

=== examples/createTable/Makefile ===
all: createTable

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createTable: shapelib tiff terralib stat
	qmake -o makeCreateTable createTable.pro; make -f makeCreateTable

clean:
	if \
		test -f makeCreateTable; \
	then \
		make -f makeCreateTable distclean; rm -f makeCreateTable; \
	fi

=== examples/createTheme/Makefile ===
all: createTheme

shapelib:
	cd ../terralibx/shapelib; make

tiff:
	cd ../terralibx/tiff; make

terralib:
	cd ../terralibx/terralib; make

stat:
	cd ../terralibx/stat; make

createTheme: shapelib tiff terralib stat
	qmake -o makeCreateTheme createTheme.pro; make -f makeCreateTheme

clean:
	if \
		test -f makeCreateTheme; \
	then \
		make -f makeCreateTheme distclean; rm -f makeCreateTheme; \
	fi

## libterralib 3.3.1

=== examples/Makefile ===

SUBDIRS = \
	createDatabase \
	createLayer \
	createTable \
	importMIDMIF \
	importShape \
	importDBF \
	importJPEG \
	copyLayer \
	importGeoTab \
	convertCoordinates \
	databaseQuery \
	databaseSQLQuery \
	spatialQuery \
	addGeomRepresentation \
	createTheme \
	themeGrouping \
	createSTElementSet \
	mosaicTIFFImages \
	importCSV \
	importGridData \
	rasterSlicing \
	querierFromTheme \
	proxMatrixAndSpatialStatistics \
	spatialQueryAndBuffer \
	querierFromLayer \
	createSTElementSetFromLayer \
	image_processing

all:
	@for i in $(SUBDIRS); do \
	( cd $$i; make; ); done

debug:
	@for i in $(SUBDIRS); do \
	( cd $$i; make debug; ); done

clean:
	@for i in $(SUBDIRS); do \
	( cd $$i; make clean; ); done

clean_debug:
	@for i in $(SUBDIRS); do \
	( cd $$i; make clean_debug; ); done

=== examples/image_processing/Makefile ===
buildtests: 
	qmake -o Makefile_examples;
	make -f Makefile_examples;
  
distclean: 
	qmake -o Makefile_examples;
	make -f Makefile_examples distclean;	

clean : distclean	

runalltests :	
	./run_all_tests_unix.sh;	
	
check : distclean buildtests runalltests	

distcheck : check	

all : distclean buildtests

=== examples/mosaicTIFFImages/Makefile ===
all: mosaicTIFFImages

debug: mosaicTIFFImages_dbg

tiff:
	cd ../../terralibx/tiff; make

terralib:
	cd ../../terralibx/terralib; make
	
terralib_dbg:
	cd ../../terralibx/terralib; make debug

mosaicTIFFImages:  tiff terralib 
	qmake -o makeMosaicTIFFImages mosaicTIFFImages.pro; make -f makeMosaicTIFFImages

mosaicTIFFImages_dbg:  tiff terralib_dbg 
	qmake -o makeMosaicTIFFImages.debug mosaicTIFFImages.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeMosaicTIFFImages.debug

clean:
	if \
		test -f makeMosaicTIFFImages; \
	then \
		make -f makeMosaicTIFFImages distclean; rm -f makeMosaicTIFFImages; \
	fi
	
clean_debug:
	if \
		test -f makeMosaicTIFFImages.debug; \
	then \
		make -f makeMosaicTIFFImagesdebug distclean; rm -f makeMosaicTIFFImages.debug; \
	fi

=== terralibx/image_processing/Makefile ===
all: terralibpdi

terralibpdi:
	qmake -o makepdi terralibpdi.pro; make -f makepdi

debug:
	qmake -o makepdi.debug terralibpdi.pro TE_PROJECT_TYPE=DEBUG; make -f makepdi.debug

clean:
	if \
	 test -f makepdi; \
	then \
		make -f makepdi distclean; rm -f makepdi; \
	fi

clean_debug:
	if \
	 test -f makepdi.debug; \
	then \
		make -f makepdi.debug distclean; rm -f makepdi.debug; \
	fi

=== terralibx/stat/Makefile ===
all: stat

stat:
	qmake -o makeStat stat.pro; make -f makeStat

debug:
	qmake -o makeStat.debug stat.pro TE_PROJECT_TYPE=DEBUG; make -f makeStat.debug

clean:
	if \
	 test -f makeStat; \
	then \
		make -f makeStat distclean; rm -f makeStat; \
	fi

clean_debug:
	if \
	 test -f makeStat.debug; \
	then \
		make -f makeStat.debug distclean; rm -f makeStat.debug; \
	fi

=== terralibx/terralib/Makefile ===
all: terralib

tiff:
	cd ../tiff; make

tiff_debug:
	cd ../tiff; make debug

debug: tiff_debug te_debug copy_dlls

terralib: tiff te_release copy_dlls

te_release:
	qmake -o makeTerralib terralib.pro; make -f makeTerralib

te_debug:
	qmake -o makeTerralib.debug terralib.pro TE_PROJECT_TYPE=DEBUG; make -f makeTerralib.debug

copy_dlls:
	rm -f ../Oracle/libclntsh.so ../Oracle/libclntsh.so.1 ../Oracle/libclntsh.so.1.0
	rm -f ../Oracle/libnnz10.so.1 ../Oracle/libnnz10.so.1.0
	ln -s ../Oracle/libclntsh.so.10.1 ../Oracle/libclntsh.so
	ln -s ../Oracle/libclntsh.so.10.1 ../Oracle/libclntsh.so.1
	ln -s ../Oracle/libclntsh.so.10.1 ../Oracle/libclntsh.so.1.0
	ln -s ../Oracle/libnnz10.so ../Oracle/libnnz10.so.1
	ln -s ../Oracle/libnnz10.so ../Oracle/libnnz10.so.1.0	

clean:
	rm -f ../Oracle/libclntsh.so ../Oracle/libclntsh.so.1 ../Oracle/libclntsh.so.1.0
	rm -f ../Oracle/libnnz10.so.1 ../Oracle/libnnz10.so.1.0
	if \
	 test -f makeTerralib; \
	then \
		make -f makeTerralib distclean; rm -f makeTerralib; \
	fi

clean_debug:
	rm -f ../Oracle/libclntsh.so ../Oracle/libclntsh.so.1 ../Oracle/libclntsh.so.1.0
	rm -f ../Oracle/libnnz10.so.1 ../Oracle/libnnz10.so.1.0
	if \
	 test -f makeTerralib.debug; \
	then \
		make -f makeTerralib.debug distclean; rm -f makeTerralib.debug; \
	fi

=== debian/changelog ===
libterralib (3.3.1-8) unstable; urgency=low

  * Do chmod of examples in build stage, for safety. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Jan 2010 13:52:16 +0000

libterralib (3.3.1-7) experimental; urgency=low

  * Build in experimental with DH_VERBOSE=1 to show problems I can't
    reproduce. 
  * Tidy up shlib:Depends. Generate shlibs.libterralib1c2a 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jan 2010 15:21:41 +0000

libterralib (3.3.1-6) unstable; urgency=low

  * Reverse libjpeg8-dev | libpeg8-dev  B-D so it will build before
    other dependencies make the libjpeg8 transition.
  * Move from CDBS to debhelper 7 + source format 3.0 build.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Jan 2010 03:48:29 +0000

libterralib (3.3.1-5) unstable; urgency=low

  * FTBFS with libjpeg8 (namespace collision in new lib). Closes: #565322.
  * Build-Dep on libjpeg8-dev | libjpeg-dev, not libjpeg62-dev.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2010 16:31:54 +0000

libterralib (3.3.1-4) unstable; urgency=low

  * Build fixes for g++ 4.4. Closes: #541092.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Oct 2009 21:42:50 +0100

libterralib (3.3.1-3) unstable; urgency=low

  * Add build-dependency on libtiff4-dev. Closes: #540661.
  * Add pkgconfig file. Closes: #540779.
  * Patch from Cyril Brulebois to fix FTBFS on GNU/kfreesd. Closes: #539123. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Aug 2009 12:50:03 +0100

libterralib (3.3.1-2) unstable; urgency=low

  * Remove pre-build binaries from source. 
  * Remove tiff, libjpeg, zlib, qwt sources in favour of external libs.
  * Remove unused and copyright-troublesome Oracle, DSDK , MySQL, 
    PostgreSQL sources.
  * Include listat.so* and libstat.
  * Remove unneeded mtrand* sources. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jul 2009 11:24:49 +0100

libterralib (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Move to Standards-Version: 3.8.2, Debhelper DH_COMPAT 7.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Jun 2009 11:29:16 +0100

libterralib (3.0.3b2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.1 FTBFS, patch from Martin Michlmayr. Closes: #358243

 -- Paul Wise <pabs3@bonedaddy.net>  Wed, 22 Mar 2006 15:57:53 +0800

libterralib (3.0.3b2-3) unstable; urgency=low

  * New maintainer.  (Closes: #342800)
  * Fix new C++ transition (libstdc++ allocator).  (Closes: #339221)
  * Rename libterralib1 to libterralib1c2a, and adjust
    Conflicts/Replaces.  Patch from Daniel T Chen and ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Dec 2005 12:23:05 +0100

libterralib (3.0.3b2-2) unstable; urgency=low

  * Added patch for amd64 compability. Thanks to Andreas Jochens
    <aj@andraco.de>. Closes: #326693
  * Upload sponsored by Petter Reinholdtsen.

 -- Marco Tulio Gontijo e Silva <marcot@minaslivre.org>  Sun, 11 Sep 2005 00:39:24 +0000

libterralib (3.0.3b2-1) unstable; urgency=low

  * Initial release. Closes: #318961
  * Upstream is not providing tarballs, so the orig file was generated for
    debian from CVS.
  * Sponsored by Petter Reinholdtsen.
  
 -- Marco Tulio Gontijo e Silva <marcot@minaslivre.org>  Mon, 18 Jul 2005 21:05:39 +0000

=== debian/control ===
Source: libterralib
Section: libs
Priority: optional
Maintainer: Debian GIS Team <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 7.0.50~), qt3-dev-tools, libqt3-mt-dev, libgeotiff-dev, libshp-dev, zlib1g-dev, libjpeg-dev | libjpeg8-dev, libtiff4-dev
Homepage: http://www.terralib.org/
Standards-Version: 3.8.3

Package: libterralib1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libterralib1c2a (= ${binary:Version})
Suggests: libterralib1-doc (= ${binary:Version})
Provides: libterralib-dev
Conflicts: libterralib-dev
Description: A C++ library for Geographical Information Systems -- development package
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions, written in ANSI-C++.
 .
 This package contains development files for terralib.

Package: libterralib1c2a
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libterralib1-doc (= ${binary:Version})
Replaces: libterralib1
Conflicts: libterralib1
Description: A C++ library for Geographical Information Systems
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions,  written in ANSI-C++.

Package: libterralib1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libterralib1c2a (= ${binary:Version})
Description: A C++ library for Geographical Information Systems -- documentation package
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions, written in ANSI-C++.
 .
 This package contains examples for the terralib library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# The magic debhelper rule
%:
	dh $@

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

override_dh_auto_build:
	find examples -type f -exec chmod 644 {} \;
	$(MAKE) -C terralibx/terralib
	$(MAKE) -C terralibx/stat
	$(MAKE) -C terralibx/image_processing
	ar rcs libterralib.a terralibx/Release/.obj/terralib/*.o
	ar rcs libstat.a terralibx/Release/.obj/stat/*.o
	ar rcs libterralibpdi.a terralibx/Release/.obj/libpdi/*.o

override_dh_clean:
	dh_clean
	$(MAKE) -C terralibx/terralib clean
	rm -f libterralib.a libstat.a libterralibpdi.a
	rm -rf terralibx/Release/.obj terralibx/Release/*

## libterralib 4.0.0

=== examples/copyLayer/Makefile ===
all: copyLayer

debug: copyLayer_dbg

terralib:
	cd ../../terralibx/terralib; make
	
terralib_dbg:
	cd ../../terralibx/terralib; make debug

copyLayer: terralib
	qmake -o makeCopyLayer copyLayer.pro; make -f makeCopyLayer

copyLayer_dbg: terralib_dbg
	qmake -o makeCopyLayer.debug copyLayer.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeCopyLayer.debug;	

clean:
	if \
		test -f makeCopyLayer; \
	then \
		make -f makeCopyLayer distclean; rm -f makeCopyLayer; \
	fi
	
clean_debug:
	if \
		test -f makeCopyLayer.debug; \
	then \
		make -f makeCopyLayer.debug distclean; rm -f makeCopyLayer.debug; \
	fi

=== examples/createDatabase/Makefile ===
all: createDatabase

debug: createDB_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

createDatabase: terralib
	qmake -o makeCreateDatabase createDatabase.pro; make -f makeCreateDatabase

createDB_dbg: terralib_dbg
	qmake -o makeCreateDatabase.debug createDatabase.pro TE_PROJECT_TYPE=DEBUG; make -f makeCreateDatabase.debug

clean:
	if \
		test -f makeCreateDatabase; \
	then \
		make -f makeCreateDatabase distclean; rm -f makeCreateDatabase; \
	fi

clean_debug:
	if \
		test -f makeCreateDatabase.debug; \
	then \
		make -f makeCreateDatabase.debug distclean; rm -f makeCreateDatabase.debug; \
	fi

=== examples/createLayer/Makefile ===
all: createLayer

debug: createLayer_dbg

terralib:
	cd ../../terralibx/terralib; make
	
terralib_dbg:
	cd ../../terralibx/terralib; make debug

createLayer: terralib
	qmake -o makeCreateLayer createLayer.pro; make -f makeCreateLayer

createLayer_dbg: terralib_dbg
	qmake -o makeCreateLayer.debug createLayer.pro TE_PROJECT_TYPE=DEBUG; make -f makeCreateLayer.debug
	
clean:
	if \
		test -f makeCreateLayer; \
	then \
		make -f makeCreateLayer distclean; rm -f makeCreateLayer; \
	fi
	
clean_debug:
	if \
		test -f makeCreateLayer.debug; \
	then \
		make -f makeCreateLayer.debug distclean; rm -f makeCreateLayer.debug; \
	fi

=== examples/createTable/Makefile ===
all: createTable

debug: createTable_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

createTable:  terralib 
	qmake -o makeCreateTable createTable.pro; make -f makeCreateTable

createTable_dbg: terralib_dbg
	qmake -o makeCreateTable.debug createTable.pro TE_PROJECT_TYPE=DEBUG; make -f makeCreateTable.debug

clean:
	if \
		test -f makeCreateTable; \
	then \
		make -f makeCreateTable distclean; rm -f makeCreateTable; \
	fi
	
	clean_debug:
	if \
		test -f makeCreateTable.debug; \
	then \
		make -f makeCreateTable.debug distclean; rm -f makeCreateTable.debug; \
	fi

=== examples/databaseSQLQuery/Makefile ===
all: databaseSQLQuery

debug: databaseSQLQuery_dbg

terralib:
	cd ../../terralibx/terralib; make
	
terralib_dbg:
	cd ../../terralibx/terralib; make debug

databaseSQLQuery: terralib
	qmake -o makeDatabaseSQLQuery databaseSQLQuery.pro; make -f makeDatabaseSQLQuery

databaseSQLQuery_dbg: terralib_dbg
	qmake -o makeDatabaseSQLQuery.debug databaseSQLQuery.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeDatabaseSQLQuery.debug

clean:
	if \
		test -f makeDatabaseSQLQuery; \
	then \
		make -f makeDatabaseSQLQuery distclean; rm -f makeDatabaseSQLQuery; \
	fi
	
clean_debug:
	if \
		test -f makeDatabaseSQLQuery.debug; \
	then \
		make -f makeDatabaseSQLQuery.debug distclean; rm -f makeDatabaseSQLQuery.debug; \
	fi

=== examples/importGeoTab/Makefile ===
all: importGeoTab

debug: importGeoTab_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug
	
importGeoTab: terralib
	qmake -o makeImportGeoTab importGeoTab.pro; make -f makeImportGeoTab

importGeoTab_dbg: terralib_dbg
	qmake -o makeImportGeoTab.debug importGeoTab.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeImportGeoTab.debug

clean:
	if \
		test -f makeImportGeoTab; \
	then \
		make -f makeImportGeoTab distclean; rm -f makeImportGeoTab; \
	fi
	
clean_debug:
	if \
		test -f makeImportGeoTab.debug; \
	then \
		make -f makeImportGeoTab.debug distclean; rm -f makeImportGeoTab.debug; \
	fi

=== examples/importGridData/Makefile ===
all: importGridData

debug: importGridData_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

importGridData: terralib
	qmake -o makeImportGridData importGridData.pro; make -f makeImportGridData

importGridData_dbg: terralib_dbg
	qmake -o makeImportGridData.debug importGridData.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeImportGridData.debug


clean:
	if \
		test -f makeImportGridData; \
	then \
		make -f makeImportGridData distclean; rm -f makeImportGridData; \
	fi
	
clean_debug:
	if \
		test -f makeImportGridData.debug; \
	then \
		make -f makeImportGridData.debug distclean; rm -f makeImportGridData.debug; \
	fi

=== examples/importMIDMIF/Makefile ===
all: importMIDMIF

debug: importMIDMIF_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

importMIDMIF: terralib
	qmake -o makeImportMIDMIF importMIDMIF.pro; make -f makeImportMIDMIF

importMIDMIF_dbg: terralib_dbg
	qmake -o makeImportMIDMIF.debug importMIDMIF.pro TE_PROJECT_TYPE=DEBUG; make -f makeImportMIDMIF.debug

clean:
	if \
		test -f makeImportMIDMIF; \
	then \
		make -f makeImportMIDMIF distclean; rm -f makeImportMIDMIF; \
	fi
	
clean_debug:
	if \
		test -f makeImportMIDMIF.debug; \
	then \
		make -f makeImportMIDMIF.debug distclean; rm -f makeImportMIDMIF.debug; \
	fi

=== examples/importShape/Makefile ===
all: importShape

debug: importShape_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug
	
importShape: terralib
	qmake -o makeImportShape importShape.pro; \
	make -f makeImportShape;
	
importShape_dbg: terralib_dbg
	qmake -o makeImportShape.debug importShape.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeImportShape.debug;	

clean:
	if \
		test -f makeImportShape; \
	then \
		make -f makeImportShape distclean; rm -f makeImportShape; \
	fi
	
clean_debug:
	if \
		test -f makeImportShape.debug; \
	then \
		make -f makeImportShape.debug distclean; rm -f makeImportShape.debug; \
	fi

=== examples/proxMatrixAndSpatialStatistics/Makefile ===
all: proxMatrixAndSpatialStatistics

debug: proxMatrixAndSpatialStatistics_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug
	
stat:
	cd ../../terralibx/stat; make

proxMatrixAndSpatialStatistics: terralib stat
	qmake -o makeProxMatrixAndSpatialStatistics proxMatrixAndSpatialStatistics.pro; make -f makeProxMatrixAndSpatialStatistics

proxMatrixAndSpatialStatistics_dbg: terralib_dbg stat
	qmake -o makeProxMatrixAndSpatialStatistics.debug proxMatrixAndSpatialStatistics.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeProxMatrixAndSpatialStatistics.debug

clean:
	if \
		test -f makeProxMatrixAndSpatialStatistics; \
	then \
		make -f makeProxMatrixAndSpatialStatistics distclean; rm -f makeProxMatrixAndSpatialStatistics; \
	fi
	
clean:
	if \
		test -f makeProxMatrixAndSpatialStatistics.debug; \
	then \
		make -f makeProxMatrixAndSpatialStatistics.debug distclean; rm -f makeProxMatrixAndSpatialStatistics.debug; \
	fi

=== examples/querierFromTheme/Makefile ===
all: querierFromTheme

debug: querierFromTheme_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug
	
querierFromTheme:  terralib 
	qmake -o makeQuerierFromTheme querierFromTheme.pro; make -f makeQuerierFromTheme

querierFromTheme_dbg:  terralib_dbg 
	qmake -o makeQuerierFromTheme.debug querierFromTheme.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeQuerierFromTheme.debug

clean:
	if \
		test -f makeQuerierFromTheme; \
	then \
		make -f makeQuerierFromTheme distclean; rm -f makeQuerierFromTheme; \
	fi
	
clean_debug:
	if \
		test -f makeQuerierFromTheme.debug; \
	then \
		make -f makeQuerierFromTheme.debug distclean; rm -f makeQuerierFromTheme.debug; \
	fi

=== examples/querierGroupElement/Makefile ===
all: querierGroupElement

terralib:
	cd ../../terralibx/terralib; make

querierGroupElement: terralib
	qmake -o makeQuerierGroupElement querierGroupElement.pro; make -f makeQuerierGroupElement

clean:
	if \
		test -f makeQuerierGroupElement; \
	then \
		make -f makeQuerierGroupElement distclean; rm -f makeQuerierGroupElement; \
	fi

=== debian/changelog ===
libterralib (4.0.0-5ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Adjusted qmake invocation in d/rules, fixing FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 26 Oct 2013 23:43:00 -0400

libterralib (4.0.0-5) unstable; urgency=low

  * B-D on libtiff-dev for transition. 
  * Standards-Version: 3.9.4; no changes required.
  * Debhelper >  9 Dependency now.
  * Remove B-D on python; not used. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Sep 2013 17:07:38 +0100

libterralib (4.0.0-4ubuntu1) raring; urgency=low

  * Adjusted qmake invocation in d/rules, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 22 Apr 2013 22:49:49 -0400

libterralib (4.0.0-4) unstable; urgency=low

  * B-D on libtiff5-dev, not libtiff-dev. Closes: #665034. 
  * Standards-Version: 3.9.3; no changes required. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Apr 2012 21:04:36 +0100

libterralib (4.0.0-3) unstable; urgency=low

  * Ensure libterralib is linked against libtiff. Include libtiff-dev B-D.
  * Multi-Arch support.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2011 14:22:45 +0100

libterralib (4.0.0-2) unstable; urgency=low

  * Need to depend on qt4-qmake, not just qt4-dev-tools. Closes: #632759 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2011 09:31:47 +0100

libterralib (4.0.0-1) unstable; urgency=low

  * New upstream release. Closes: #622858.
  * Change libname to match package soname libterralib1c2a -> libterralib3
  * Standards-Version: 3.9.2. No changes required.
  * Use dh_python2, depend on python-all-dev 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Jul 2011 05:34:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: libterralib
 Section: libs
 Priority: optional
-Maintainer: Debian GIS Team <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Team <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), qt3-dev-tools, libqt3-mt-dev, libgeotiff-dev, libshp-dev, zlib1g-dev, libjpeg-dev | libjpeg8-dev, libtiff4-dev
+Build-Depends: debhelper (>= 9), qt4-dev-tools, libgeotiff-dev, zlib1g-dev, libjpeg-dev | libjpeg8-dev,  qt4-qmake, libtiff-dev
 Homepage: http://www.terralib.org/
-Standards-Version: 3.8.3
+Vcs-Svn: https://svn.dpi.inpe.br/terralib/tags/v-4-0-0/src
+Standards-Version: 3.9.4
 
-Package: libterralib1-dev
+Package: libterralib-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libterralib1c2a (= ${binary:Version})
-Suggests: libterralib1-doc (= ${binary:Version})
-Provides: libterralib-dev
-Conflicts: libterralib-dev
-Description: A C++ library for Geographical Information Systems -- development package
+Multi-Arch: same
+Depends: ${misc:Depends}, libterralib (= ${binary:Version})
+Suggests: libterralib-doc (= ${binary:Version})
+Conflicts: libterralib1-dev, libterralib3-dev
+Replaces: libterralib3-dev
+Description: C++ library for Geographical Information Systems -- development package
  TerraLib enables quick development of custom-built geographical applications
  using spatial databases. As a research tool, TerraLib  is aimed at providing a
  rich and powerful environment for the development of GIS research,
@@ -27,13 +30,15 @@
  .
  This package contains development files for terralib.
 
-Package: libterralib1c2a
+Package: libterralib
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libterralib1-doc (= ${binary:Version})
-Replaces: libterralib1
-Conflicts: libterralib1
-Description: A C++ library for Geographical Information Systems
+Pre-Depends: ${misc:Pre-Depends}
+Suggests: libterralib-doc (= ${binary:Version})
+Conflicts: libterralib1c2a, libterralib3
+Replaces: libterralib1c2a, libterralib3
+Description: C++ library for Geographical Information Systems
  TerraLib enables quick development of custom-built geographical applications
  using spatial databases. As a research tool, TerraLib  is aimed at providing a
  rich and powerful environment for the development of GIS research,
@@ -44,12 +49,13 @@
  ORACLE and ACCESS), and is implemented as a library of C++ classes and
  functions,  written in ANSI-C++.
 
-Package: libterralib1-doc
+Package: libterralib-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libterralib1c2a (= ${binary:Version})
-Description: A C++ library for Geographical Information Systems -- documentation package
+Replaces: libterralib3-doc
+Recommends: libterralib (= ${binary:Version})
+Description: C++ library for Geographical Information Systems -- documentation package
  TerraLib enables quick development of custom-built geographical applications
  using spatial databases. As a research tool, TerraLib  is aimed at providing a
  rich and powerful environment for the development of GIS research,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# The magic debhelper rule
%:
	dh $@ 

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QMAKE := qmake-qt4

override_dh_auto_build:
	find examples -type f -exec chmod 644 {} \;
	cd build/qt4/terralib && $(QMAKE) QMAKE_CXXFLAGS=-fpermissive terralib.pro  && $(MAKE) 
	cd build/qt4/te_functions && $(QMAKE) QMAKE_CXXFLAGS=-fpermissive te_functions.pro  && $(MAKE) 
	cd build/qt4/te_utils && $(QMAKE) QMAKE_CXXFLAGS=-fpermissive te_utils.pro  && $(MAKE) 
	ar rcs libterralib.a Release/linux-g++/obj/terralib/*.o
	ar rcs libte_functions.a Release/linux-g++/obj/te_functions/*.o
	ar rcs libte_utils.a Release/linux-g++/obj/te_utils/*.o

override_dh_auto_install:
	dh_install
	# Install into Multarch directories
	dh_install -p libterralib Release/linux-g++/libterralib.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libterralib Release/linux-g++/libte_utils.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libterralib Release/linux-g++/libte_functions.so.*         usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libterralib-dev libterralib.a usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libterralib-dev libte_utils.a   usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libterralib-dev libte_functions.a    usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libterralib-dev Release/linux-g++/libterralib.so        usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libterralib-dev Release/linux-g++/libte_utils.so        usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libterralib-dev Release/linux-g++/libte_functions.so    usr/lib/$(DEB_HOST_MULTIARCH)
	# nasty hack.
	mkdir -p debian/libterralib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' <  libterralib.pc >  debian/libterralib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libterralib.pc

override_dh_clean:
	dh_clean
	rm -f lib*.a
	rm -rf Release
	find . -name '.cvsignore' -exec rm {} \;
	$(MAKE) -C build/qt4/terralib distclean || echo "terralib already clean"
	$(MAKE) -C build/qt4/te_utils distclean || echo "te_utils already clean"
	$(MAKE) -C build/qt4/te_functions distclean || echo "te_functions already clean"

## libterralib 4.3.0

=== debian/changelog ===
libterralib (4.3.0-1) unstable; urgency=low

  * Standards-Version: 3.9.5. No changes required. 
  * Move debhelper depends to (>= 9). 
  * Add hardening.
  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Feb 2014 18:59:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: libterralib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Team <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Team <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), qt4-dev-tools, libgeotiff-dev, zlib1g-dev, libjpeg-dev | libjpeg8-dev,  qt4-qmake, libtiff-dev
+Build-Depends: debhelper (>= 9), qt4-dev-tools, libgeotiff-dev, zlib1g-dev, libjpeg-dev | libjpeg8-dev, python-all-dev, qt4-qmake, libtiff5-dev 
 Homepage: http://www.terralib.org/
 Vcs-Svn: https://svn.dpi.inpe.br/terralib/tags/v-4-0-0/src
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: libterralib-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -3,19 +3,24 @@
 
 # The magic debhelper rule
 %:
-	dh $@ 
+	dh $@ --with-python2 
 
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-QMAKE := qmake-qt4
+
+# To enable all, uncomment following line
+DEB_BUILD_MAINT_OPTIONS:= hardening=+all
+DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic
+export DEB_BUILD_MAINT_OPTIONS
+export DEB_CFLAGS_MAINT_APPEND
 
 override_dh_auto_build:
 	find examples -type f -exec chmod 644 {} \;
-	cd build/qt4/terralib && $(QMAKE) QMAKE_CXXFLAGS=-fpermissive terralib.pro  && $(MAKE) 
-	cd build/qt4/te_functions && $(QMAKE) QMAKE_CXXFLAGS=-fpermissive te_functions.pro  && $(MAKE) 
-	cd build/qt4/te_utils && $(QMAKE) QMAKE_CXXFLAGS=-fpermissive te_utils.pro  && $(MAKE) 
+	cd build/qt4/terralib && qmake QMAKE_CXXFLAGS=-fpermissive terralib.pro  && $(MAKE) 
+	cd build/qt4/te_functions && qmake QMAKE_CXXFLAGS=-fpermissive te_functions.pro  && $(MAKE) 
+	cd build/qt4/te_utils && qmake QMAKE_CXXFLAGS=-fpermissive te_utils.pro  && $(MAKE) 
 	ar rcs libterralib.a Release/linux-g++/obj/terralib/*.o
 	ar rcs libte_functions.a Release/linux-g++/obj/te_functions/*.o
 	ar rcs libte_utils.a Release/linux-g++/obj/te_utils/*.o

## libterralib 4.3.0%2Bdfsg.2

=== examples/createProximityMatrix/Makefile ===
all: createProximityMatrix

terralib:
	cd ../../terralibx/terralib; make

createProximityMatrix: terralib 
	qmake -o makeCreateProximityMatrix createProximityMatrix.pro; make -f makeCreateProximityMatrix

clean:
	if \
		test -f makeCreateProximityMatrix; \
	then \
		make -f makeCreateProximityMatrix distclean; rm -f makeCreateProximityMatrix; \
	fi

=== examples/createTheme/Makefile ===
all: createTheme

debug: createTheme_dbg

terralib:
	cd ../../terralibx/terralib; make
	
terralib_dbg:
	cd ../../terralibx/terralib; make debug

createTheme: terralib
	qmake -o makeCreateTheme createTheme.pro; make -f makeCreateTheme


createTheme_dbg: terralib_dbg
	qmake -o makeCreateTheme.debug createTheme.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeCreateTheme.debug

clean:
	if \
		test -f makeCreateTheme; \
	then \
		make -f makeCreateTheme distclean; rm -f makeCreateTheme; \
	fi
	
clean_debug:
	if \
		test -f makeCreateTheme.debug; \
	then \
		make -f makeCreateTheme.debug distclean; rm -f makeCreateTheme.debug; \
	fi

=== examples/databaseQuery/Makefile ===
all: databaseQuery

debug: databaseQuery_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

databaseQuery: terralib
	qmake -o makeDatabaseQuery databaseQuery.pro; make -f makeDatabaseQuery

databaseQuery_dbg: terralib_dbg
	qmake -o makeDatabaseQuery.debug databaseQuery.pro TE_PROJECT_TYPE=DEBUG;\
	make -f makeDatabaseQuery.debug

clean:
	if \
		test -f makeDatabaseQuery; \
	then \
		make -f makeDatabaseQuery distclean; rm -f makeDatabaseQuery; \
	fi
	
clean_debug:
	if \
		test -f makeDatabaseQuery.debug; \
	then \
		make -f makeDatabaseQuery.debug distclean; rm -f makeDatabaseQuery.debug; \
	fi

=== examples/image_processing/Makefile ===
#############################################################################
# Makefile for building: image_processing
# Generated by qmake (1.07a) (Qt 3.3.8) on: Wed Feb  9 14:05:38 2011
# Project:  image_processing.pro
# Template: subdirs
# Command: $(QMAKE) -o Makefile image_processing.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-source

first: all

all: Makefile $(SUBTARGETS)

source/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "source" || $(MKDIR) "source"
	cd source && $(QMAKE) source.pro -o $(MAKEFILE)
sub-source: source/$(MAKEFILE) FORCE
	cd source && $(MAKE) -f $(MAKEFILE)

Makefile: image_processing.pro  /usr/lib/qt3/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile image_processing.pro
qmake: qmake_all
	@$(QMAKE) -o Makefile image_processing.pro

all: $(SUBTARGETS)
qmake_all: source/$(MAKEFILE)
	 ( [ -d source ] && cd source ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d source ] && cd source ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d source ] && cd source ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d source ] && cd source ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d source ] && cd source ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

=== examples/importCSV/Makefile ===
all: importCSV

debug: importCSV_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

importCSV: terralib
	qmake -o makeImportCSV importCSV.pro; make -f makeImportCSV

importCSV_dbg: terralib_dbg
	qmake -o makeImportCSV.debug importCSV.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeImportCSV.debug


clean:
	if \
		test -f makeImportCSV; \
	then \
		make -f makeImportCSV distclean; rm -f makeImportCSV; \
	fi

clean_debug:
	if \
		test -f makeImportCSV.debug; \
	then \
		make -f makeImportCSV.debug distclean; rm -f makeImportCSV.debug; \
	fi

=== examples/querierFromLayer/Makefile ===
all: querierFromLayer

debug: querierFromLayer_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug
	
querierFromLayer: terralib
	qmake -o makeQuerierFromLayer querierFromLayer.pro; make -f makeQuerierFromLayer

querierFromLayer_dbg: terralib_dbg
	qmake -o makeQuerierFromLayer.debug querierFromLayer.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeQuerierFromLayer.debug

clean:
	if \
		test -f makeQuerierFromLayer; \
	then \
		make -f makeQuerierFromLayer distclean; rm -f makeQuerierFromLayer; \
	fi
	
clean_debug:
	if \
		test -f makeQuerierFromLayer.debug; \
	then \
		make -f makeQuerierFromLayer.debug distclean; rm -f makeQuerierFromLayer.debug; \
	fi

=== build/cmake/dxflib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

SET(LIB_NAME "dxflib")

project(${LIB_NAME})

SET(ROOT ${CMAKE_CURRENT_SOURCE_DIR}/$(TERRALIB_DIR)/src/dxflib)

file(GLOB SRCS ${ROOT}/*.cpp)

include_directories(${ROOT})

add_library(${LIB_NAME} SHARED ${SRCS} )

=== debian/changelog ===
libterralib (4.3.0+dfsg.2-12.1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:47:00 +0100

libterralib (4.3.0+dfsg.2-12.1build1) focal; urgency=medium

  * Rebuild against new libgeotiff2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Oct 2019 17:26:06 +0100

libterralib (4.3.0+dfsg.2-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Debian GIS as Maintainer & Vcs-* fields,
    package not actually maintained within the team nor in git.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Aug 2019 19:28:30 +0200

libterralib (4.3.0+dfsg.2-12) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Use debhelper-compat (=12)
  * Drop obsolete Conflicts/Replaces for libterralib-dev
  * Drop unnecessary build-dep libqwt-qt5-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Aug 2019 13:07:00 +0100

libterralib (4.3.0+dfsg.2-11) unstable; urgency=medium

  * Ack. patch and close bug: Closes: #831903
  * Standards-Version: 4.0.0; no changes required
  * Update FSF address in debian/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Jul 2017 11:42:15 +0100

libterralib (4.3.0+dfsg.2-10) unstable; urgency=medium

  * switch to build depend on the metapackage default-libmysqlclient-dev
    Closes: #845868
  * Use debhelper 10

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Dec 2016 10:59:07 +0000

libterralib (4.3.0+dfsg.2-9) unstable; urgency=medium

  * Patch from Set C locale when archiving object files to get a deterministic order.
    Thanks to Eduard Sanou. Closes: #831093.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Aug 2016 11:04:35 +0100

libterralib (4.3.0+dfsg.2-8) unstable; urgency=medium

  * Fix for ::isnan change for G++ 5.4, 6.1. Closes: #830463
  * Drop Petter Reinholsen as uploader. Closes: #830910.	

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jul 2016 17:36:39 +0100

libterralib (4.3.0+dfsg.2-7) unstable; urgency=medium

  * Add patch for g++6 (-std11) changes.
  * Build -std11 in prep. for g++-6
  * Standards-Version: 3.9.8

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 May 2016 16:46:24 +0100

libterralib (4.3.0+dfsg.2-6) unstable; urgency=medium

  * Build with libqwt-qt5-dev, don't mix qt4. Closes: #814857.
  * Fix Typo in debian/rules includes;  thanks to Dmitry Shachnev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2016 00:51:24 +0000

libterralib (4.3.0+dfsg.2-5) unstable; urgency=medium

  * Depend on dxflib >= 3.12.2 for transition.
  * Standards-Version: 3.9.7; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Feb 2016 12:23:10 +0000

libterralib (4.3.0+dfsg.2-4) unstable; urgency=medium

  * Remove libspl, te_spl plugin as broken on Hurd, KFreeBSD.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2015 20:05:54 +0100

libterralib (4.3.0+dfsg.2-3) unstable; urgency=medium

  * Add libpq-dev, libmysqlcient-dev as B-D.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2015 14:31:10 +0100

libterralib (4.3.0+dfsg.2-2) unstable; urgency=medium

  * Add Hurd, KFreeBSD support to libspl.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Aug 2015 07:18:31 +0100

libterralib (4.3.0+dfsg.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Move upstream VCS URL from Vcs-Svn control field to upstream metadata.
  * Add Vcs-Browser & Vcs-Git URLs for new git repository on Alioth.
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme.
  * Include SOVERSION in library package name.
    (closes: #701143, #791175)
  * Update copyright file using copyright-format 1.0.

  [ Alastair McKinstry ]
  * New dsfg+2: Delete src/ directories DSDK as un-redistributable;
    libjpeg, qwt, tiff, zlib, dxflib replaced by Debian packaged -dev
    files.
  * Build-Depend on libdxflib, libqwt-dev, libshp-dev
  * Re-organise rules to build multi-arch stuff from generated *.in files.
  * Add additional libs provided by terralib back

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Aug 2015 10:12:57 +0100

libterralib (4.3.0+dfsg.1-2) unstable; urgency=medium

  * Remove libjpeg8-dev dependency; just use libjpeg-dev.
  * Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Sep 2014 15:25:15 +0100

libterralib (4.3.0+dfsg.1-1) unstable; urgency=medium

  * Build dfsg release without unnecessary .so files that don't
    have sources.
  * Fix from Nicolas Sévelin-Radiguet for clang FTBFS. Closes: #746608.
  * Now use xz compression.
  * Drop unused dependencies on python-dev-all;
  * Build using qt5.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Sep 2014 09:23:31 +0100

## libterralib 4.3.0+dfsg.1

=== debian/changelog ===
libterralib (4.3.0+dfsg.1-2+deb8u1) jessie; urgency=medium

  * Non-maintainer upload.
  * Remove superfluous Conflicts/Replaces: libterralib3 since that causes
    problems upgrading to stretch which has that package.  (Closes: #863885)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Jul 2017 04:16:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian GIS Team <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), qt4-dev-tools, libgeotiff-dev, zlib1g-dev, libjpeg-dev | libjpeg8-dev, python-all-dev, qt4-qmake, libtiff5-dev 
+Build-Depends: debhelper (>= 9),
+ libgeotiff-dev, zlib1g-dev, libjpeg-dev, libtiff5-dev,
+ qt5-qmake, qtbase5-dev
 Homepage: http://www.terralib.org/
 Vcs-Svn: https://svn.dpi.inpe.br/terralib/tags/v-4-0-0/src
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: libterralib-dev
 Section: libdevel
@@ -35,8 +37,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libterralib-doc (= ${binary:Version})
-Conflicts: libterralib1c2a, libterralib3
-Replaces: libterralib1c2a, libterralib3
+Conflicts: libterralib1c2a
+Replaces: libterralib1c2a
 Description: C++ library for Geographical Information Systems
  TerraLib enables quick development of custom-built geographical applications
  using spatial databases. As a research tool, TerraLib  is aimed at providing a

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 
 # The magic debhelper rule
 %:
-	dh $@ --with-python2 
+	dh $@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+export QT_SELECT=5
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
